aboutsummaryrefslogtreecommitdiffstats
path: root/testsuite/cxx2.sh
diff options
context:
space:
mode:
Diffstat (limited to 'testsuite/cxx2.sh')
-rwxr-xr-xtestsuite/cxx2.sh14
1 files changed, 7 insertions, 7 deletions
diff --git a/testsuite/cxx2.sh b/testsuite/cxx2.sh
index 651e595..064fcb6 100755
--- a/testsuite/cxx2.sh
+++ b/testsuite/cxx2.sh
@@ -2,21 +2,21 @@
. `dirname $0`/functions.sh
rm -f cxx2 cxx2lib*.so cxx2.log
rm -f prelink.cache
-$RUN_HOST $CXX -shared -O2 -fpic -o cxx2lib1.so $srcdir/cxx1lib1.C
-$RUN_HOST $CXX -shared -O2 -fpic -o cxx2lib2.so $srcdir/cxx1lib2.C cxx2lib1.so
+$CXX -shared -O2 -fpic -o cxx2lib1.so $srcdir/cxx1lib1.C
+$CXX -shared -O2 -fpic -o cxx2lib2.so $srcdir/cxx1lib2.C cxx2lib1.so
BINS="cxx2"
LIBS="cxx2lib1.so cxx2lib2.so"
-$RUN_HOST $CXXLINK -o cxx2 $srcdir/cxx2.C -Wl,--rpath-link,. cxx2lib2.so cxx2lib1.so
+$CXXLINK -o cxx2 $srcdir/cxx2.C -Wl,--rpath-link,. cxx2lib2.so cxx2lib1.so
savelibs
echo $PRELINK -vvvv ${PRELINK_OPTS--vm} ./cxx2 > cxx2.log
-$RUN_HOST $PRELINK -vvvv ${PRELINK_OPTS--vm} ./cxx2 >> cxx2.log 2>&1 || exit 1
+$PRELINK -vvvv ${PRELINK_OPTS--vm} ./cxx2 >> cxx2.log 2>&1 || exit 1
grep ^`echo $PRELINK | sed 's/ .*$/: /'` cxx2.log | grep -q -v 'C++ conflict' && exit 2
-case "`$RUN uname -m`" in
+case "`uname -m`" in
arm*) ;; # EABI says that vtables/typeinfo aren't vague linkage if there is a key method
*) [ $( grep ^`echo $PRELINK | sed 's/ .*$/: /'` cxx2.log | grep 'Removing C++ conflict' | wc -l ) -ge 9 ] || exit 3;;
esac
-$RUN LD_LIBRARY_PATH=. ./cxx2 || exit 4
-$RUN_HOST $READELF -a ./cxx2 >> cxx2.log 2>&1 || exit 5
+LD_LIBRARY_PATH=. ./cxx2 || exit 4
+readelf -a ./cxx2 >> cxx2.log 2>&1 || exit 5
# So that it is not prelinked again
chmod -x ./cxx2
comparelibs >> cxx2.log 2>&1 || exit 6